package com.qmth.sop.business.bean.result;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description sop导出结果
 * @Author haoguanghui
 * @date 2024/09/10
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 12)
@HeadFontStyle(color = 1)
public class SopInfoExportResult {

    @ApiModelProperty(value = "客户名称")
    @ExcelProperty(value = "客户名称", order = 1)
    private String customName;

    @ApiModelProperty(value = "项目名称")
    @ExcelProperty(value = "项目名称", order = 2)
    private String crmName;

    @ApiModelProperty(value = "科目名称")
    @ExcelProperty(value = "科目名称", order = 3)
    private String courseName;

    @ApiModelProperty(value = "大区经理")
    @ExcelProperty(value = "大区经理", order = 5)
    private String leadName;

    @ApiModelProperty(value = "区域协调人")
    @ExcelProperty(value = "区域协调人", order = 6)
    private String regionCoordinator;

    @ApiModelProperty(value = "项目经理")
    @ExcelProperty(value = "项目经理", order = 7)
    private String projectManager;

    @ApiModelProperty(value = "工程师")
    @ExcelProperty(value = "工程师", order = 8)
    private String engineer;

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getCrmName() {
        return crmName;
    }

    public void setCrmName(String crmName) {
        this.crmName = crmName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public String getRegionCoordinator() {
        return regionCoordinator;
    }

    public void setRegionCoordinator(String regionCoordinator) {
        this.regionCoordinator = regionCoordinator;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getEngineer() {
        return engineer;
    }

    public void setEngineer(String engineer) {
        this.engineer = engineer;
    }

}
